=== modified file 'mainpage/templatetags/wl_markdown.py'
--- mainpage/templatetags/wl_markdown.py	2009-03-13 19:23:25 +0000
+++ mainpage/templatetags/wl_markdown.py	2009-03-15 16:40:37 +0000
@@ -148,6 +148,6 @@
     """
     My own markup filter, wrapping the markup2 library, which is less bugged.
     """
-    return mark_safe(force_unicode(do_wl_markdown(value, extensions = ["extra"])))
+    return mark_safe(force_unicode(do_wl_markdown(value,)))
 wl_markdown.is_safe = True
 

=== added file 'media/css/profile.css'
=== modified file 'pybb/admin.py'
--- pybb/admin.py	2009-02-25 16:55:36 +0000
+++ pybb/admin.py	2009-03-15 16:40:37 +0000
@@ -1,7 +1,7 @@
 # -*- coding: utf-8
 from django.utils.translation import ugettext_lazy as _
 from django.contrib import admin
-from pybb.models import Category, Forum, Topic, Post, Profile, Read
+from pybb.models import Category, Forum, Topic, Post, Read
 
 class CategoryAdmin(admin.ModelAdmin):
     list_display = ['name', 'position', 'forum_count']
@@ -66,28 +66,6 @@
          ),
         )
 
-class ProfileAdmin(admin.ModelAdmin):
-    list_display = ['user', 'time_zone', 'location', 'language']
-    list_per_page = 20
-    ordering = ['-user']
-    search_fields = ['user__username', 'user__first_name', 'user__last_name']
-    fieldsets = (
-        (None, {
-                'fields': ('user', 'time_zone', 'markup', 'location', 'language')
-                }
-         ),
-        (_('IM'), {
-                'classes': ('collapse',),
-                'fields' : ('jabber', 'icq', 'msn', 'aim', 'yahoo')
-                }
-         ),
-        (_('Additional options'), {
-                'classes': ('collapse',),
-                'fields' : ('site', 'avatar', 'signature', 'show_signatures')
-                }
-         ),
-        )
-
 class ReadAdmin(admin.ModelAdmin):
     list_display = ['user', 'topic', 'time']
     list_per_page = 20
@@ -99,5 +77,4 @@
 admin.site.register(Forum, ForumAdmin)
 admin.site.register(Topic, TopicAdmin)
 admin.site.register(Post, PostAdmin)
-admin.site.register(Profile, ProfileAdmin)
 admin.site.register(Read, ReadAdmin)

=== modified file 'pybb/forms.py'
--- pybb/forms.py	2009-02-25 16:55:36 +0000
+++ pybb/forms.py	2009-03-15 16:40:37 +0000
@@ -7,7 +7,7 @@
 from django.utils.translation import ugettext as _
 from django.contrib.auth.models import User
 
-from pybb.models import Topic, Post, Profile, PrivateMessage, Attachment
+from pybb.models import Topic, Post, PrivateMessage, Attachment
 from pybb import settings as pybb_settings
 
 class AddPostForm(forms.ModelForm):
@@ -76,26 +76,6 @@
             obj.save()
 
 
-class EditProfileForm(forms.ModelForm):
-    class Meta:
-        model = Profile
-        fields = ['site', 'jabber', 'icq', 'msn', 'aim', 'yahoo',
-                  'location', 'signature', 'time_zone', 'language',
-                  'avatar', 'show_signatures',
-                  'markup',
-                  ]
-
-
-    #def __init__(self, *args, **kwargs):
-        #super(EditProfileForm, self).__init__(*args, **kwargs)
-
-    def clean_signature(self):
-        value = self.cleaned_data['signature'].strip()
-        if len(re.findall(r'\n', value)) > pybb_settings.SIGNATURE_MAX_LINES:
-            raise forms.ValidationError('Number of lines is limited to %d' % pybb_settings.SIGNATURE_MAX_LINES)
-        if len(value) > pybb_settings.SIGNATURE_MAX_LENGTH:
-            raise forms.ValidationError('Length of signature is limited to %d' % pybb_settings.SIGNATURE_MAX_LENGTH)
-        return value
 
 class EditPostForm(forms.ModelForm):
     class Meta:

=== removed file 'pybb/middleware.py'
--- pybb/middleware.py	2009-02-25 16:55:36 +0000
+++ pybb/middleware.py	1970-01-01 00:00:00 +0000
@@ -1,18 +0,0 @@
-from django.utils import translation
-
-class PybbMiddleware(object):
-    def process_request(self, request):
-        if request.user.is_authenticated():
-            profile = request.user.pybb_profile
-            language = translation.get_language_from_request(request)
-
-            if not profile.language:
-                profile.language = language
-                profile.save()
-                #print 'Just now set profile language', profile.language
-
-            if profile.language and profile.language != language:
-                request.session['django_language'] = profile.language
-                translation.activate(profile.language)
-                request.LANGUAGE_CODE = translation.get_language()
-                #print 'Setuping request language', profile.language

=== modified file 'pybb/models.py'
--- pybb/models.py	2009-02-28 12:03:41 +0000
+++ pybb/models.py	2009-03-15 16:40:37 +0000
@@ -15,17 +15,6 @@
 from pybb.util import urlize, memoize_method, unescape
 from pybb import settings as pybb_settings
 
-TZ_CHOICES = [(float(x[0]), x[1]) for x in (
-    (-12, '-12'), (-11, '-11'), (-10, '-10'), (-9.5, '-09.5'), (-9, '-09'),
-    (-8.5, '-08.5'), (-8, '-08 PST'), (-7, '-07 MST'), (-6, '-06 CST'),
-    (-5, '-05 EST'), (-4, '-04 AST'), (-3.5, '-03.5'), (-3, '-03 ADT'),
-    (-2, '-02'), (-1, '-01'), (0, '00 GMT'), (1, '+01 CET'), (2, '+02'),
-    (3, '+03'), (3.5, '+03.5'), (4, '+04'), (4.5, '+04.5'), (5, '+05'),
-    (5.5, '+05.5'), (6, '+06'), (6.5, '+06.5'), (7, '+07'), (8, '+08'),
-    (9, '+09'), (9.5, '+09.5'), (10, '+10'), (10.5, '+10.5'), (11, '+11'),
-    (11.5, '+11.5'), (12, '+12'), (13, '+13'), (14, '+14'),
-)]
-
 MARKUP_CHOICES = (
     ('markdown', 'markdown'),
     #    ('bbcode', 'bbcode'),
@@ -231,40 +220,6 @@
             self.topic.delete()
 
 
-class Profile(models.Model):
-    user = AutoOneToOneField(User, related_name='pybb_profile', verbose_name=_('User'))
-    site = models.URLField(_('Site'), verify_exists=False, blank=True, default='')
-    jabber = models.CharField(_('Jabber'), max_length=80, blank=True, default='')
-    icq = models.CharField(_('ICQ'), max_length=12, blank=True, default='')
-    msn = models.CharField(_('MSN'), max_length=80, blank=True, default='')
-    aim = models.CharField(_('AIM'), max_length=80, blank=True, default='')
-    yahoo = models.CharField(_('Yahoo'), max_length=80, blank=True, default='')
-    location = models.CharField(_('Location'), max_length=30, blank=True, default='')
-    signature = models.TextField(_('Signature'), blank=True, default='', max_length=pybb_settings.SIGNATURE_MAX_LENGTH)
-    time_zone = models.FloatField(_('Time zone'), choices=TZ_CHOICES, default=float(pybb_settings.DEFAULT_TIME_ZONE))
-    language = models.CharField(_('Language'), max_length=10, blank=True, default='',
-                                choices=settings.LANGUAGES)
-    avatar = ExtendedImageField(_('Avatar'), blank=True, default='', upload_to=pybb_settings.AVATARS_UPLOAD_TO, width=pybb_settings.AVATAR_WIDTH, height=pybb_settings.AVATAR_HEIGHT)
-    show_signatures = models.BooleanField(_('Show signatures'), blank=True, default=True)
-    markup = models.CharField(_('Default markup'), max_length=15, default=pybb_settings.DEFAULT_MARKUP, choices=MARKUP_CHOICES)
-
-    class Meta:
-        verbose_name = _('Profile')
-        verbose_name_plural = _('Profiles')
-
-
-    @memoize_method
-    def unread_pm_count(self):
-        return PrivateMessage.objects.filter(dst_user=self, read=False).count()
-
-    def post_count(self):
-        """
-        Return the nr of posts the user has. This uses djangos filter feature
-        will therefore hit the database. This should maybe be reworked when the 
-        database grows to not be always calculated.
-        """
-        return Post.objects.filter(user=self.user).count()
-
 class Read(models.Model):
     """
     For each topic that user has entered the time 

=== removed file 'pybb/subscription.py'
--- pybb/subscription.py	2009-02-25 16:55:36 +0000
+++ pybb/subscription.py	1970-01-01 00:00:00 +0000
@@ -1,96 +0,0 @@
-from django.core.mail import EmailMultiAlternatives
-from django.conf import settings
-from django.core.urlresolvers import reverse
-from django.utils.translation import ugettext as _
-from django.utils import translation
-
-from pybb import settings as pybb_settings
-from pybb.util import absolute_url
-
-# i18n features disabled. See ticket #47
-
-TOPIC_SUBSCRIPTION_TEXT_TEMPLATE = lambda: _(u"""New reply from %(username)s to topic that you have subscribed on.
----
-%(message)s
----
-See topic: %(post_url)s
-Unsubscribe %(unsubscribe_url)s""")
-
-PM_RECIPIENT_TEXT_TEMPLATE = lambda: _(u"""User %(username)s have sent your the new private message.
----
-%(message)s
----
-See message online: %(pm_url)s""")
-
-
-def send_mail(rec_list, subject, text, html=None):
-    """
-    Shortcut for sending email.
-    """
-
-    from_email = settings.DEFAULT_FROM_EMAIL
-
-    msg = EmailMultiAlternatives(subject, text, from_email, rec_list)
-    if html:
-        msg.attach_alternative(html, "text/html")
-    if pybb_settings.EMAIL_DEBUG:
-        print '---begin---'
-        print 'To:', rec_list
-        print 'Subject:', subject
-        print 'Body:', text
-        print '---end---'
-    else:
-        msg.send(fail_silently=True)
-
-
-def notify_topic_subscribers(post):
-    from pybb.models import Post
-
-    if pybb_settings.DISABLE_NOTIFICATION:
-        return
-
-    topic = post.topic
-    if post != topic.head:
-        for user in topic.subscribers.all():
-            if user != post.user:
-                old_lang = translation.get_language()
-                lang = user.pybb_profile.language or 'en'
-                translation.activate(lang)
-
-                subject = u'RE: %s' % topic.name
-                to_email = user.email
-                text_content = TOPIC_SUBSCRIPTION_TEXT_TEMPLATE() % {
-                    'username': post.user.username,
-                    'message': post.body_text,
-                    'post_url': absolute_url(post.get_absolute_url()),
-                    'unsubscribe_url': absolute_url(reverse('pybb_delete_subscription', args=[post.topic.id])),
-                }
-                #html_content = html_version(post)
-                send_mail([to_email], subject, text_content)
-
-                translation.activate(old_lang)
-
-
-def notify_pm_recipients(pm):
-    if pybb_settings.DISABLE_NOTIFICATION:
-        return
-
-    if not pm.read:
-        from pybb.models import PrivateMessage
-
-        old_lang = translation.get_language()
-        lang = pm.dst_user.pybb_profile.language or 'en'
-        translation.activate(lang)
-
-        print 'LANG', lang
-
-        subject = _(u'New private message for you')
-        to_email = pm.dst_user.email
-        text_content = PM_RECIPIENT_TEXT_TEMPLATE() % {
-            'username': pm.src_user.username,
-            'message': pm.body_text,
-            'pm_url': absolute_url(pm.get_absolute_url()),
-        }
-        send_mail([to_email], subject, text_content)
-
-        translation.activate(old_lang)

=== modified file 'pybb/urls.py'
--- pybb/urls.py	2009-03-01 09:47:33 +0000
+++ pybb/urls.py	2009-03-15 16:40:37 +0000
@@ -16,11 +16,6 @@
     url('^feeds/(?P<url>.*)/$', 'django.contrib.syndication.views.feed',
         {'feed_dict': feeds}, name='pybb_feed'),
 
-    # User not done by pybb
-    # url('^user/(?P<username>.*)/$', views.user, name='pybb_profile'),
-    # url('^profile/edit/$', views.edit_profile, name='pybb_edit_profile'),
-    # url('^users/$', views.users, name='pybb_users'),
-
     # Topic
     url('^topic/(?P<topic_id>\d+)/$', views.show_topic, name='pybb_topic'),
     url('^forum/(?P<forum_id>\d+)/topic/add/$', views.add_post,
@@ -40,16 +35,6 @@
     # Attachment
     url('^attachment/(?P<hash>\w+)/$', views.show_attachment, name='pybb_attachment'),
 
-    # Subscription
-    url('^subscription/topic/(?P<topic_id>\d+)/delete/$', views.delete_subscription, name='pybb_delete_subscription'),
-    url('^subscription/topic/(?P<topic_id>\d+)/add/$', views.add_subscription, name='pybb_add_subscription'),
-
-    # Private messages <done by django-messages>
-    # url('^pm/new/$', views.create_pm, name='pybb_create_pm'),
-    # url('^pm/outbox/$', views.pm_outbox, name='pybb_pm_outbox'),
-    # url('^pm/inbox/$', views.pm_inbox, name='pybb_pm_inbox'),
-    # url('^pm/show/(?P<pm_id>\d+)/$', views.show_pm, name='pybb_show_pm'),
-
     # API 
     url('^api/post_ajax_preview/$', views.post_ajax_preview, name='pybb_post_ajax_preview'),
 )

=== modified file 'pybb/views.py'
--- pybb/views.py	2009-02-28 12:03:41 +0000
+++ pybb/views.py	2009-03-15 16:40:37 +0000
@@ -12,9 +12,9 @@
 from django.utils import translation
 
 from pybb.util import render_to, paged, build_form, quote_text, paginate, set_language, ajax, urlize
-from pybb.models import Category, Forum, Topic, Post, Profile, PrivateMessage, Attachment,\
+from pybb.models import Category, Forum, Topic, Post, PrivateMessage, Attachment,\
                         MARKUP_CHOICES
-from pybb.forms import AddPostForm, EditProfileForm, EditPostForm, UserSearchForm, CreatePMForm
+from pybb.forms import AddPostForm, EditPostForm, UserSearchForm, CreatePMForm
 from pybb import settings as pybb_settings
 from pybb.orm import load_related
 
@@ -112,9 +112,11 @@
     page, paginator = paginate(posts, request, pybb_settings.TOPIC_PAGE_SIZE,
                                total_count=topic.post_count)
 
-    profiles = Profile.objects.filter(user__pk__in=
-        set(x.user.id for x in page.object_list))
-    profiles = dict((x.user_id, x) for x in profiles)
+
+    # TODO: fetch profiles
+    # profiles = Profile.objects.filter(user__pk__in=
+    #     set(x.user.id for x in page.object_list))
+    # profiles = dict((x.user_id, x) for x in profiles)
     
     for post in page.object_list:
         post.user.pybb_profile = profiles[post.user.id]
@@ -196,19 +198,6 @@
 
 
 @login_required
-def edit_profile_ctx(request):
-    form = build_form(EditProfileForm, request, instance=request.user.pybb_profile)
-    if form.is_valid():
-        profile = form.save()
-        set_language(request, profile.language)
-        return HttpResponseRedirect(reverse('pybb_edit_profile'))
-    return {'form': form,
-            'profile': request.user.pybb_profile,
-            }
-edit_profile = render_to('pybb/edit_profile.html')(edit_profile_ctx)
-
-    
-@login_required
 def edit_post_ctx(request, post_id):
     from pybb.templatetags.pybb_extras import pybb_editable_by
 

=== modified file 'settings.py'
--- settings.py	2009-03-04 16:25:10 +0000
+++ settings.py	2009-03-15 16:40:37 +0000
@@ -97,7 +97,13 @@
 ######################
 # User configuration #
 ######################
-AUTH_PROFILE_MODULE = 'pybb.Profile'
+AUTH_PROFILE_MODULE = 'wlprofile.Profile'
+DEFAULT_TIME_ZONE = 3
+DEFAULT_MARKUP ="markdown"
+SIGNATURE_MAX_LENGTH = 255
+SIGNATURE_MAX_LINES = 8
+AVATARS_UPLOAD_TO = "profile/avatars"
+AVATAR_HEIGHT  = AVATAR_WIDTH = 80
 
 ######################
 # Pybb Configuration #
@@ -130,6 +136,7 @@
     'widelands.wlimages',
     'widelands.wlwebchat',
     'widelands.wlrecaptcha',
+    'widelands.wlprofile',
 
     # Modified 3rd party apps
     'widelands.wiki', # This is based on wikiapp, but has some local modifications

=== modified file 'templates/messages/inlines/navigation.html'
--- templates/messages/inlines/navigation.html	2009-02-26 11:32:18 +0000
+++ templates/messages/inlines/navigation.html	2009-03-15 16:40:37 +0000
@@ -1,8 +1,16 @@
 {% load i18n %} 
 
-<div align="right">
-    <a href="{% url messages_inbox %} ">{% trans "Inbox" %}</a>
-    | <a href="{% url messages_outbox %} ">{% trans "Sent Messages" %}</a>
-    | <a href="{% url messages_compose %} ">{% trans "New Message" %}</a>
-    | <a href="{% url messages_trash %} ">{% trans "Trash" %}</a>
+<div>
+   &nbsp;
+   <div align="left" style="float: left;">
+       <a href="{% url profile_view %} ">{% trans "Profile" %}</a>
+       | <a href="{% url notification_notices %} ">{% trans "Notifications" %}</a>
+   </div>
+   <div align="right" style="float: right;">
+       <a href="{% url messages_inbox %} ">{% trans "Inbox" %}</a>
+       | <a href="{% url messages_outbox %} ">{% trans "Sent Messages" %}</a>
+       | <a href="{% url messages_compose %} ">{% trans "New Message" %}</a>
+       | <a href="{% url messages_trash %} ">{% trans "Message Trash" %}</a>
+   </div>
 </div>
+

=== modified file 'templates/notification/notices.html'
--- templates/notification/notices.html	2009-02-20 16:46:21 +0000
+++ templates/notification/notices.html	2009-03-15 16:40:37 +0000
@@ -10,6 +10,8 @@
 {% endblock %}
 
 {% block content %}
+    {% include "messages/inlines/navigation.html" %}
+
     <h1>{% trans "Notices" %}</h1>
     
     {% autopaginate notices %}

=== added directory 'templates/wlprofile'
=== added file 'templates/wlprofile/base.html'
--- templates/wlprofile/base.html	1970-01-01 00:00:00 +0000
+++ templates/wlprofile/base.html	2009-03-15 16:40:37 +0000
@@ -0,0 +1,9 @@
+{% extends "base.html" %}
+{% comment %}
+   vim:ft=htmldjango
+{% endcomment %}
+
+
+{% block extra_head %}
+<link rel="stylesheet" type="text/css" media="all" href="{{ MEDIA_URL }}/css/profile.css" />{{ block.super}}
+{% endblock %}

=== renamed file 'templates/pybb/edit_profile.html' => 'templates/wlprofile/edit_profile.html'
--- templates/pybb/edit_profile.html	2009-02-25 16:39:09 +0000
+++ templates/wlprofile/edit_profile.html	2009-03-15 16:40:37 +0000
@@ -1,5 +1,5 @@
-{% extends 'pybb/base.html' %}
-{% load pybb_extras %}
+{% extends "wlprofile/base.html" %}
+
 {% load i18n %}
 
 {% block content %}
@@ -7,27 +7,13 @@
 {% if profile.avatar %}
 <img src="{{ profile.avatar.url }}" />
 {% endif %}
-<p><a href="{% url auth_password_change %}">{% trans "Change the password" %}</a></p>
-{#<p><a href="{% url auth_email_change %}">{% trans "Change the email" %}</a></p>#}
-<p><a href="{% url pybb_pm_inbox %}">{% trans "Inbox" %}</a></p>
-<p><a href="{% url pybb_pm_outbox %}">{% trans "outbox" %}</a></p>
+
 <form method="post" enctype="multipart/form-data">
     <fieldset>
-        <legend>{% trans "Profile editing" %}</lenged>
-        {{ form.as_p }}
+        <legend>{% trans "Profile editing" %}</legend>
+        {{ profile_form.as_p }}
         <p><input type="submit" value="{% trans "Save" %}" /></p>
     </fieldset>
 </form>
-<h1>{% trans "Subscriptions on topics" %}</h1>
-<ul>
-{% for sub in user.subscriptions.all %}
-<li>
-{% pybb_link sub %}
-&mdash;
-<strong>
-    <a href="{% url pybb_delete_subscription sub.id %}">{% trans "delete" %}</a>
-</strong>
-</li>
-{% endfor %}
-</ul>
+
 {% endblock %}

=== added file 'templates/wlprofile/view_profile.html'
--- templates/wlprofile/view_profile.html	1970-01-01 00:00:00 +0000
+++ templates/wlprofile/view_profile.html	2009-03-15 16:40:37 +0000
@@ -0,0 +1,36 @@
+{% extends "wlprofile/base.html" %}
+
+{% load i18n %}
+
+{% block content %}
+
+{% ifequal user profile.user %}
+{% include "messages/inlines/navigation.html" %}
+{%endifequal%}
+
+
+<h1>{% trans "View Profile" %}</h1>
+{% if profile.avatar %}
+<img src="{{ profile.avatar.url }}" />
+{% endif %}
+
+<table width="50%">
+   <tr><td>User:</td> <td>{{ profile.user.username }}</td></tr>
+   <tr><td>Website:</td> <td><a href="{{profile.site}}">{{ profile.site }}</a></td></tr>
+
+   <tr><td>Location:</td> <td>{{ profile.location }}</td></tr>
+
+   <tr><td>Jabber:</td> <td>{{ profile.jabber }}</td></tr>
+   <tr><td>ICQ:</td> <td>{{ profile.icq }}</td></tr>
+   <tr><td>MSN:</td> <td>{{ profile.msn }}</td></tr>
+   <tr><td>AIM:</td> <td>{{ profile.aim }}</td></tr>
+   <tr><td>Yahoo:</td> <td>{{ profile.yahoo }}</td></tr>
+</table>
+
+{% ifequal user profile.user %}
+<p>
+<a href="{% url profile_edit %}">Edit Profile</a>
+</p>
+{%endifequal%}
+
+{% endblock %}

=== modified file 'urls.py'
--- urls.py	2009-03-04 16:25:10 +0000
+++ urls.py	2009-03-15 16:40:37 +0000
@@ -41,6 +41,7 @@
     url(r'^help/', include("online_help.urls")),
     url(r'^webchat/', include("wlwebchat.urls")),
     url(r'^images/', include("wlimages.urls")),
+    url(r'^profile/', include("wlprofile.urls")),
 )
 
 try:

=== added directory 'wlprofile'
=== added file 'wlprofile/README.txt'
--- wlprofile/README.txt	1970-01-01 00:00:00 +0000
+++ wlprofile/README.txt	2009-03-15 16:40:37 +0000
@@ -0,0 +1,8 @@
+This app has been cut out of pybb. I didn't see the necessity to 
+use pybb profiles, because they only add to the clutter that pybb
+is already. Instead I extracted this and modified it to the 
+needs of widelands. 
+
+There are many django apps out there... why do all try to do more than 
+one thing? 
+

=== added file 'wlprofile/__init__.py'
=== added file 'wlprofile/admin.py'
--- wlprofile/admin.py	1970-01-01 00:00:00 +0000
+++ wlprofile/admin.py	2009-03-15 16:40:37 +0000
@@ -0,0 +1,39 @@
+#!/usr/bin/env python -tt
+# encoding: utf-8
+#
+# File: wlprofile/admin.py
+#
+# Created by Holger Rapp on 2009-03-15.
+# Copyright (c) 2009 HolgerRapp@gmx.net. All rights reserved.
+#
+# Last Modified: $Date$
+#
+
+from django.utils.translation import ugettext_lazy as _
+from django.contrib import admin
+from models import Profile
+
+class ProfileAdmin(admin.ModelAdmin):
+    list_display = ['user', 'time_zone', 'location']
+    list_per_page = 20
+    ordering = ['-user']
+    search_fields = ['user__username', 'user__first_name', 'user__last_name']
+    fieldsets = (
+        (None, {
+                'fields': ('user', 'time_zone', 'location')
+                }
+         ),
+        (_('IM'), {
+                'classes': ('collapse',),
+                'fields' : ('jabber', 'icq', 'msn', 'aim', 'yahoo')
+                }
+         ),
+        (_('Additional options'), {
+                'classes': ('collapse',),
+                'fields' : ('site', 'avatar', 'signature', 'show_signatures')
+                }
+         ),
+        )
+
+admin.site.register(Profile, ProfileAdmin)
+

=== renamed file 'pybb/fields.py' => 'wlprofile/fields.py'
--- pybb/fields.py	2009-02-25 16:55:36 +0000
+++ wlprofile/fields.py	2009-03-15 16:40:37 +0000
@@ -47,10 +47,11 @@
 
     
     def save_form_data(self, instance, data):
+        print "Saving form data!"
         if data and self.width and self.height:
             content = self.resize_image(data.read(), width=self.width, height=self.height)
             data = SimpleUploadedFile(data.name, content, data.content_type)
-        super(ExtendedImageField, self).save_form_data(instance, data)
+            super(ExtendedImageField, self).save_form_data(instance, data)
 
 
     def resize_image(self, rawdata, width, height):

=== added file 'wlprofile/forms.py'
--- wlprofile/forms.py	1970-01-01 00:00:00 +0000
+++ wlprofile/forms.py	2009-03-15 16:40:37 +0000
@@ -0,0 +1,35 @@
+#!/usr/bin/env python -tt
+# encoding: utf-8
+#
+# Created by Holger Rapp on 2009-03-15.
+#
+# Last Modified: $Date$
+#
+
+from django import forms
+from models import Profile
+
+import settings
+import re
+
+class EditProfileForm(forms.ModelForm):
+    class Meta:
+        model = Profile
+        fields = ['site', 'jabber', 'icq', 'msn', 'aim', 'yahoo',
+                  'location', 'signature', 'time_zone', "time_display", 'language',
+                  'avatar', 'show_signatures',
+                  'markup',
+                  ]
+
+
+    #def __init__(self, *args, **kwargs):
+        #super(EditProfileForm, self).__init__(*args, **kwargs)
+
+    def clean_signature(self):
+        value = self.cleaned_data['signature'].strip()
+        if len(re.findall(r'\n', value)) > settings.SIGNATURE_MAX_LINES:
+            raise forms.ValidationError('Number of lines is limited to %d' % _settings.SIGNATURE_MAX_LINES)
+        if len(value) > settings.SIGNATURE_MAX_LENGTH:
+            raise forms.ValidationError('Length of signature is limited to %d' % settings.SIGNATURE_MAX_LENGTH)
+        return value
+

=== renamed file 'pybb/gravatar.py' => 'wlprofile/gravatar.py'
=== added file 'wlprofile/models.py'
--- wlprofile/models.py	1970-01-01 00:00:00 +0000
+++ wlprofile/models.py	2009-03-15 16:40:37 +0000
@@ -0,0 +1,58 @@
+from django.db import models
+from django.contrib.auth.models import User
+from fields import AutoOneToOneField, ExtendedImageField
+from django.utils.translation import ugettext_lazy as _
+import settings
+
+TZ_CHOICES = [(float(x[0]), x[1]) for x in (
+    (-12, '-12'), (-11, '-11'), (-10, '-10'), (-9.5, '-09.5'), (-9, '-09'),
+    (-8.5, '-08.5'), (-8, '-08 PST'), (-7, '-07 MST'), (-6, '-06 CST'),
+    (-5, '-05 EST'), (-4, '-04 AST'), (-3.5, '-03.5'), (-3, '-03 ADT'),
+    (-2, '-02'), (-1, '-01'), (0, '00 GMT'), (1, '+01 CET'), (2, '+02'),
+    (3, '+03'), (3.5, '+03.5'), (4, '+04'), (4.5, '+04.5'), (5, '+05'),
+    (5.5, '+05.5'), (6, '+06'), (6.5, '+06.5'), (7, '+07'), (8, '+08'),
+    (9, '+09'), (9.5, '+09.5'), (10, '+10'), (10.5, '+10.5'), (11, '+11'),
+    (11.5, '+11.5'), (12, '+12'), (13, '+13'), (14, '+14'),
+)]
+
+class Profile(models.Model):
+    user = AutoOneToOneField(User, related_name='wlprofile', verbose_name=_('User'))
+
+    # Web related fields.
+    site = models.URLField(_('Site'), verify_exists=False, blank=True, default='')
+    jabber = models.CharField(_('Jabber'), max_length=80, blank=True, default='')
+    icq = models.CharField(_('ICQ'), max_length=12, blank=True, default='')
+    msn = models.CharField(_('MSN'), max_length=80, blank=True, default='')
+    aim = models.CharField(_('AIM'), max_length=80, blank=True, default='')
+    yahoo = models.CharField(_('Yahoo'), max_length=80, blank=True, default='')
+
+    # Personal Informations
+    location = models.CharField(_('Location'), max_length=30, blank=True, default='')
+
+    # Configuration for Forum/Site
+    time_zone = models.FloatField(_('Time zone'), choices=TZ_CHOICES, default=float(settings.DEFAULT_TIME_ZONE))
+    time_display = models.CharField(_('Time display'), max_length=80, default="%c")
+    signature = models.TextField(_('Signature'), blank=True, default='', max_length=settings.SIGNATURE_MAX_LENGTH)
+    # language = models.CharField(_('Language'), max_length=10, blank=True, default='',
+    #                             choices=settings.LANGUAGES)
+
+    avatar = ExtendedImageField(_('Avatar'), blank=True, default='', upload_to=settings.AVATARS_UPLOAD_TO, width=settings.AVATAR_WIDTH, height=settings.AVATAR_HEIGHT)
+    show_signatures = models.BooleanField(_('Show signatures'), blank=True, default=True)
+    # markup = models.CharField(_('Default markup'), max_length=15, default=settings.DEFAULT_MARKUP, choices=MARKUP_CHOICES)
+
+    class Meta:
+        verbose_name = _('Profile')
+        verbose_name_plural = _('Profiles')
+
+
+    def unread_pm_count(self):
+        return PrivateMessage.objects.filter(dst_user=self, read=False).count()
+
+    def post_count(self):
+        """
+        Return the nr of posts the user has. This uses djangos filter feature
+        will therefore hit the database. This should maybe be reworked when the 
+        database grows to not be always calculated.
+        """
+        return Post.objects.filter(user=self.user).count()
+

=== added file 'wlprofile/tests.py'
--- wlprofile/tests.py	1970-01-01 00:00:00 +0000
+++ wlprofile/tests.py	2009-03-15 16:40:37 +0000
@@ -0,0 +1,23 @@
+"""
+This file demonstrates two different styles of tests (one doctest and one
+unittest). These will both pass when you run "manage.py test".
+
+Replace these with more appropriate tests for your application.
+"""
+
+from django.test import TestCase
+
+class SimpleTest(TestCase):
+    def test_basic_addition(self):
+        """
+        Tests that 1 + 1 always equals 2.
+        """
+        self.failUnlessEqual(1 + 1, 2)
+
+__test__ = {"doctest": """
+Another way to test that 1 + 1 is equal to 2.
+
+>>> 1 + 1 == 2
+True
+"""}
+

=== added file 'wlprofile/urls.py'
--- wlprofile/urls.py	1970-01-01 00:00:00 +0000
+++ wlprofile/urls.py	2009-03-15 16:40:37 +0000
@@ -0,0 +1,20 @@
+#!/usr/bin/env python -tt
+# encoding: utf-8
+#
+# File: wlprofile/urls.py
+#
+# Created by Holger Rapp on 2009-03-15.
+# Copyright (c) 2009 HolgerRapp@gmx.net. All rights reserved.
+#
+# Last Modified: $Date$
+#
+
+from django.conf.urls.defaults import *
+import views
+
+urlpatterns = patterns('',
+   url(r'^edit/$', views.edit, name='profile_edit'),
+   url(r'^(?P<user>.*)/$', views.view, name='profile_view'),
+   url(r'^$', views.view, name='profile_view'),
+)
+

=== added file 'wlprofile/views.py'
--- wlprofile/views.py	1970-01-01 00:00:00 +0000
+++ wlprofile/views.py	2009-03-15 16:40:37 +0000
@@ -0,0 +1,57 @@
+# Create your views here.
+
+
+from django.core.urlresolvers import reverse
+from django.contrib.auth.decorators import login_required 
+from django.contrib.auth.models import User
+from django.shortcuts import render_to_response
+from django.template import RequestContext
+from django.http import HttpResponseRedirect
+
+from forms import EditProfileForm
+
+# Settings
+@login_required
+def view(request, user = None):
+    """
+    View the profile. Note that login is required here
+    to make sure that not all spam post can harvest here
+    """
+    if user is None:
+        profile = request.user.wlprofile
+    else:
+        profile = User.objects.get( username = user ).wlprofile
+    
+    template_params = {
+        "profile": profile,
+    }
+
+    return render_to_response("wlprofile/view_profile.html",
+                              template_params,
+                              context_instance=RequestContext(request))
+
+@login_required
+def edit(request):
+    instance = request.user.wlprofile
+
+    if request.method == 'POST':
+        form = EditProfileForm(request.POST, instance=instance)
+        
+        if form.is_valid():
+            # We have to handle avatar
+
+            form.save()
+            
+            return HttpResponseRedirect(reverse(view))
+    form = EditProfileForm(instance=instance)
+    print "form:", form
+    print "instance:", instance
+
+    template_params = {
+        "profile_form": form,
+    }
+    return render_to_response("wlprofile/edit_profile.html",
+                              template_params,
+                              context_instance=RequestContext(request))
+
+

